
Redmine - Feature #3547

Wiki include macro: add ability to include single section

2009-06-26 12:37 - Maciej Czub

Status: New Start date: 2009-06-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

The include macro in Wiki should have the ability to include single section of a page, like this:

{{include(Page#Section)}}

Related issues:

Related to Redmine - Feature #4372: Wiki include macro: Include specific revi... New 2009-12-09

History

#1 - 2010-09-15 21:35 - Patrick Cummins

+1.  This would be very helpful.

Are macros part of the textile wiki engine, or are they added by the Redmine source?

#2 - 2011-03-23 11:54 - Toshi MARUYAMA

- Category set to Text formatting

#3 - 2013-06-24 15:53 - Kevin Bijsterbosch

Is this feature already added?

This would be very helpful when using larger pages and get a block of information instead of the entire page.

#4 - 2013-06-29 11:43 - Toshi MARUYAMA

- Category changed from Text formatting to Wiki

#5 - 2014-01-06 19:06 - Edson Yhe

+1

Hello everyone,

I'd like to know how this issue is proceeding.

This feature would be very powerfull since I have lots of wiki pages with duplicated contents.

Tks :)

#6 - 2014-04-16 13:57 - Sergey Kompaniets

+1 This would be very useful feature.

#7 - 2015-08-22 23:51 - Julius Friedrich

+1 I'd like to see this.

#8 - 2015-12-07 16:30 - Peter Kulbida

+100500

#9 - 2016-10-27 08:16 - Kenric Lam

+1 I'm longing for it.

#10 - 2016-12-30 00:49 - Damir Skoric

+1 I was looking for a way to do this today.

#11 - 2017-01-07 00:45 - Go MAEDA
- Related to Feature #4372: Wiki include macro: Include specific revision added

#12 - 2017-02-07 23:51 - Anonymous

+1 I make this feature in plugin. http://www.redmine.org/plugins/redmine_include_macro_extension

I hope to be merged to Redmine.

#13 - 2017-07-27 15:44 - Martin Hartung

+1 for a core implementation

#14 - 2017-10-27 11:00 - Laurent Girard

+1 would be really usefull

#15 - 2019-02-05 09:26 - Takenori TAKAKI

- File 23216.patch added

+1, I thought it would be very useful.

So, I made a patch, with reference to redmine_include_macro_extension plugin maded by @Taiki I.

We will be able to include a section of wiki page, by writing the macro as below.

{{include (Page, Section)}}

#16 - 2019-02-12 11:06 - Go MAEDA

- Target version set to Candidate for next major release

Files

23216.patch 3.58 KB 2019-02-05 Takenori TAKAKI
